Snapvisor Docs

Post a comment (or reply) on a test

Post a comment on a test. Start a new thread, or reply to an existing one with `threadId`. Use it when the user wants to leave feedback on a test.

POST
/projects/{owner}/{project}/tests/{testId}/comments

Post a comment on a test. Start a new thread, or reply to an existing one with threadId. Use it when the user wants to leave feedback on a test.

Authorization

AuthorizationBearer <token>

Authenticate as a user with a personal access token.

Send it as a bearer token in the Authorization header:

Authorization: Bearer <personal-access-token>

Personal access tokens act on behalf of the user that created them and are required by endpoints that perform user actions, such as reviewing builds and posting comments.

In: header

Path Parameters

owner*string
Length1 <= length
project*string
Length1 <= length
testId*string

The test identifier, as returned in a diff's test.id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/projects/string/string/tests/string/comments" \  -H "Content-Type: application/json" \  -d '{    "body": "string"  }'
{  "id": "string",  "buildId": "string",  "testId": "string",  "mediaId": "string",  "mediaVersionId": "string",  "threadId": "string",  "body": null,  "text": "string",  "author": {    "id": "string",    "slug": "string",    "name": "string"  },  "agent": {    "id": "string",    "name": "string"  },  "screenshotDiffId": "string",  "anchor": {    "type": "point",    "x": 0,    "y": 0  },  "pending": true,  "resolvedAt": "string",  "editedAt": "string",  "createdAt": "string",  "reactions": [    {      "emoji": "string",      "count": 0,      "users": [        {          "id": "string",          "slug": "string",          "name": "string"        }      ]    }  ]}